PRIMITIVUS(1)

NAME

libervia-tui - Libervia's console interface

SYNOPSIS

primitivus [ --profile=PROFILE | --help ]

DESCRIPTION

Primitivus is Salut à Toi's console interface, based on Urwid.

Primitivus is modal (vi-like), one can switch from one mode to another in the same way as in vi/vim:

•   From any mode, press [Esc] to switch to normal mode.

•   From normal mode, press : to switch to command mode.

•   From normal mode, press i to switch to insert mode — the one you use to write messages to your contacts.

Primitivus can be handled either with the mouse, in a very intuitive way, or with the keyboard. The keyboard shortcuts are explained in the section KEYBOARD HANDLING.

OPTIONS

--profile=PROFILE
-p PROFILE
    select the profile to use

--help
-h
    display a help message and quit

KEYBOARD HANDLING

In the sequel we use the following shortcuts:

•   C stands for Ctrl

•   M means Meta, on a PC it is usually the Alt key

•   S stands for Shift

  Main keys

C-x quit Primitivus

[tab]
C-up/down arrow
    change focus

C-f 1
C-f m
    focus on the menu

C-f 2
C-f b
    focus on the roster or the chat window

C-f 3
C-f e
    focus on the edition line

M-m display/hide the menu

C-n show the next notification

C-s hide/redisplay a pop-up window temporarily

F2  hide/display the roster

C-l refresh the screen

  Chat rooms

M-j join a chat room

M-p hide/display the list of participants

M-t hide/display timestamps

M-n use/don't use short nicks

M-l hide/display frame decorations

M-s change the room's topic appearance by switching between:

    •   one single line (the topic is cut if it's too long)

    •   the full topic

    •   topic hidden

  Edition line

C-a
[home]
    move the cursor at the beginning of the line

C-e
[end]
    move the cursor at the end of the line

C-k erase the line, starting at the cursor's position

C-w erase the last word

S-[tab]
    invoke completion (dependent on the context)

up/down arrows
    browse sent messages history

  Contacts

M-d hide/display offline contacts

M-s hide/display contacts' status messages

  Card game

space
    select a card

COMMANDS

The following commands must be typed in command mode (type [Esc] to switch to normal mode, then the : at the beginning of the command will switch to command mode).

:quit
    quit Primitivus

:messages
    display log messages (see also the SAT_LOG_LEVEL environment variable in sat(1))

:presence [status]
    set your presence status. Invoked without argument, a pop-up will allow you to choose your presence status; otherwise, you can use the following arguments:

    online

    chat
        (free to chat)

    away
        (away from keyboard)

    dnd (do not disturb)

    xa  (extended away)

:status [message]
    set your status message. Invoked without argument, a pop-up will allow you to enter a message.

:history
    set the number of lines of history to display in the chat window (:history 0 to clear the window)

SEE ALSO

sat(1)

AUTHORS AND COPYING

Salut à Toi was written by Jérôme Poisson <goffi@goffi.org>.

This man page was converted from the help message and Salut à Toi's wiki by Matteo Cypriani <mcy@lm7.fr> for the Debian distribution (2013). It is released under the terms of the Creative Commons Attribution-ShareAlike 3.0 Unported license (CC-By-SA 3.0).